searchNodes=[{"doc":"Inspect LiveView assigns directly in the browser. Installation LiveInspect is a developer tool that should never be used in a production environment, so be sure to specify the :only option when adding it to your deps in mix.exs : def deps do [ { :live_inspect , &quot;~&gt; 0.1.0&quot; , only : :dev } ] end Then, import LiveInspect.live_inspect/1 into the generated Phoenix helpers: # lib/my_app_web.ex defmodule MyAppWeb do def live_view do quote do # ...generated code... unquote ( live_inspect ( ) ) end end def live_component do quote do # ...generated code... unquote ( live_inspect ( ) ) end end defp live_inspect do if Mix . env ( ) == :dev do quote do import LiveInspect , only : [ live_inspect : 1 ] end end end end Usage Just call the live_inspect/1 function component with any values to examine. &lt; . live_inspect my_assign = { @my_assign } my_other_assign = { @my_other_assign } / &gt; All assigns can be inspected at once, e.g. &lt; . live_inspect { assigns } / &gt; Configuration # Default configuration config :live_inspect , theme : LiveInspect.Theme.Light Themes The styling of the inspector is controlled via themes. Two themes are provided with the library: LiveInspect.Theme.Light (default) LiveInspect.Theme.Dark See LiveInspect.Theme to implement a custom theme.","ref":"LiveInspect.html","title":"LiveInspect","type":"module"},{"doc":"Function component wrapper for the LiveInspect.Inspector component. Example &lt; . live_inspect my_assign = { @my_assign } my_other_assign = { @my_other_assign } / &gt; Attributes __id__ - optional; the id of the LiveInspect.Inspector component; defaults to &quot;live-inspect&quot; All other assigns are put into a map and passed as the value attribute to LiveInspect.Inspector .","ref":"LiveInspect.html#live_inspect/1","title":"LiveInspect.live_inspect/1","type":"function"},{"doc":"The LiveComponent to inspect values directly on the page. Typically, the LiveInspect.live_inspect/1 convenience helper should be used instead of directly calling this component. Example &lt; . live_component module = { LiveInspect.Inspector } id = &quot;live-inspect&quot; value = { %{ my_assign : @my_assign , my_other_assign : @my_other_assign } } / &gt; Attributes :id - required :value - required; any term to inspect :theme - optional; the theme module; defaults to the configured theme","ref":"LiveInspect.Inspector.html","title":"LiveInspect.Inspector","type":"module"},{"doc":"Behavior to implement custom styling for the inspector.","ref":"LiveInspect.Theme.html","title":"LiveInspect.Theme","type":"behaviour"},{"doc":"Returns a map of attributes to add to the &lt;th&gt; elements that contain list indices and map keys. The key argument is the map key or integer list index (rendered here), and value is the inspected value.","ref":"LiveInspect.Theme.html#c:key_attrs/2","title":"LiveInspect.Theme.key_attrs/2","type":"callback"},{"doc":"Returns a map of attributes to add to the root inspector &lt;div&gt;.","ref":"LiveInspect.Theme.html#c:root_attrs/0","title":"LiveInspect.Theme.root_attrs/0","type":"callback"},{"doc":"Returns contents of the CSS &lt;style&gt; to render inline on the page. The styles will only be injected once within a given LiveView, immediately before the first invocation of the inspector on the page. Return nil to bypass this.","ref":"LiveInspect.Theme.html#c:style/0","title":"LiveInspect.Theme.style/0","type":"callback"},{"doc":"Returns a map of attributes to add to &lt;table&gt; elements.","ref":"LiveInspect.Theme.html#c:table_attrs/0","title":"LiveInspect.Theme.table_attrs/0","type":"callback"},{"doc":"Returns a map of attributes to add to the &lt;td&gt; elements that contain inspected values. The key argument is the map key or integer list index, and value is the inspected value (rendered here).","ref":"LiveInspect.Theme.html#c:value_attrs/2","title":"LiveInspect.Theme.value_attrs/2","type":"callback"},{"doc":"An alternative theme, for designs with dark backgrounds. Configuration config :live_inspect , theme : LiveInspect.Theme.Dark","ref":"LiveInspect.Theme.Dark.html","title":"LiveInspect.Theme.Dark","type":"module"},{"doc":"The default theme, for designs with light backgrounds. Configuration config :live_inspect , theme : LiveInspect.Theme.Light","ref":"LiveInspect.Theme.Light.html","title":"LiveInspect.Theme.Light","type":"module"}]